# -*- coding: utf-8 -*-
# This file is part of the edcoment-module for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

import genshi.template
import os
from trytond.modules.edocument_uncefact.edocument import Invoice


class Invoice(Invoice):
    'EDocument XRechnung'
    __name__ = 'edocument.xrechnung.invoice'

    def _get_template(self, version):
        """ load our own template if 'version' is ours
        """
        if version == 'XRechnung-2.2':
            loader = genshi.template.TemplateLoader(
                os.path.join(os.path.dirname(__file__), 'template'),
                auto_reload=True)
            return loader.load(os.path.join(version, 'XRechnung.xml'))
        else :
            return super(Invoice, self)._get_template(version)

# end Invoice
